var path = require('path');

exports = module.exports = function router(options) {

  return function router(req, res, next) {
    var app = require(path.join(process.env.PWD, 'app'));

    var action
      , controller
      , responder = app.routes[req.url]
      , resSplit;

    if (typeof responder === "undefined") {
      // no matching route defined
      return next();
    }

    resSplit = responder.split('#');
    if (resSplit.length !== 2) {
      // invalid controller/action
      return next();
    }

    controller = resSplit[0] + "_controller";
    action = resSplit[1];

    app.controllers[controller][action](req, res);
    next();
  };
};